=== plugins/libdbusmenuqt/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_executable(appmenutest main.cpp)
target_link_libraries(appmenutest
                        Qt::Widgets)
