=== debian/changelog ===
dde-tray-loader (2.0.2) unstable; urgency=medium

  * chore: remove unused Spanish translation files

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 23 Jun 2025 17:28:46 +0800

dde-tray-loader (2.0.1) unstable; urgency=medium

  * refactor: replace DIconButton with DToolButton for calendar
    navigation

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 17:31:50 +0800

dde-tray-loader (2.0.0) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#324)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:18:17 +0800

dde-tray-loader (1.99.28) unstable; urgency=medium

  * fix: timeDate plugin crash
  * fix: dateTime plugin only responds to short format changes from dde-control-center
  * [skip CI] Translate dde-dock.ts in es (#319)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 12 Jun 2025 19:48:15 +0800

dde-tray-loader (1.99.27) unstable; urgency=medium

  * refactor: move dock context menu implementation to loader module
  * fix: update appid of lastore daemon
  * i18n: Updates for project Deepin Desktop Environment (#314)
  * fix: sound plugin display incorrect volume tips
  * fix: when hide plugin,setting button sholud be hided.

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 19:10:45 +0800
