## dde-tray-loader 2.0.5

=== debian/changelog ===
dde-tray-loader (2.0.5) unstable; urgency=medium

  * fix: adjust height calculation order in BluetoothApplet
  * feat: implement custom PageButton for calendar navigation

 -- WuJiangYu <wujiangyu@uniontech.com>  Wed, 16 Jul 2025 10:47:44 +0800

dde-tray-loader (2.0.4) unstable; urgency=medium

  * i18n: Translate dde-dock.ts in fr (#335)
  * feat: add Traditional Chinese translations for tray plugin

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:53 +0800

dde-tray-loader (2.0.3) unstable; urgency=medium

  * fix: add hardening build flags to debian/rules
  * i18n: Updates for project Deepin Desktop Environment (#331)
  * i18n: Updates for project Deepin Desktop Environment (#328)

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:59:38 +0800
