## dde-tray-loader 2.0.13

=== debian/changelog ===
dde-tray-loader (2.0.13) unstable; urgency=medium

  * fix: compatibility with Qt 6.10
  * fix: power and bluetooth text cut in russian (#371)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 21:14:13 +0800

dde-tray-loader (2.0.12) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#370)
  * feat: add override icon search path for system tray
  * chore: convert REUSE config to REUSE.toml
  * chore: add .tx/config for tx-cli
  * i18n: Updates for project Deepin Desktop Environment (#368)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 25 Sep 2025 20:50:20 +0800

dde-tray-loader (2.0.11) unstable; urgency=medium

  * fix: When a Bluetooth device is connected, the list of other devices
    is automatically collapsed

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:40:04 +0800

dde-tray-loader (2.0.10) unstable; urgency=medium

  * fix: bluetooth applet widget layout display abnormality
  * i18n: Updates for project Deepin Desktop Environment (#363)
  * fix:  Bluetooth item listView can display full items
  * fix: improve theme compatibility for bluetooth label

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 20:59:55 +0800

dde-tray-loader (2.0.9) unstable; urgency=medium

  * fix: plugin tooltip window size can adapt to content changes
  * style: adjust bluetooth adapter item layout margins
  * fix: Avoid datetime plugin seconds displayed not same with dcc's
    datetime
  * [skip CI] Translate trayplugin-loader.ts in zh_TW
  * [skip CI] Translate trayplugin-loader.ts in zh_CN
  * [skip CI] Translate trayplugin-loader.ts in zh_HK
  * [skip CI] Translate dde-dock.ts in ja
  * [skip CI] Translate dde-dock.ts in ja
  * [skip CI] Translate dde-dock.ts in ja
  * [skip CI] Translate dde-dock.ts in ja
  * fix: power applet tips need not display when dconfig item was closed

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 28 Aug 2025 17:52:46 +0800

dde-tray-loader (2.0.8) unstable; urgency=medium

  * fix: fix building warnings.
  * fix: remove redundant palette setup in RoundScrollArea

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 21 Aug 2025 17:25:25 +0800
