=== plugins/dde-dock/brightness/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,6 @@
     "../widgets/*.cpp"
     "../common/*.h"
     "../common/*.cpp"
-    "../util/roundscrollarea.h"
-    "../util/roundscrollarea.cpp"
     "../dbus/types/*.h"
     "../dbus/types/*.cpp"
 )
