## dde-tray-loader 2.0.17

=== debian/changelog ===
dde-tray-loader (2.0.17) unstable; urgency=medium

  * fix: disable theme icon loading for battery display
  * i18n: Updates for project Deepin Desktop Environment (#389)
  * fix: update battery icon colors and API call
  * refactor: disable Util class copy operations
  * fix: tooltip size might not updated when font size changed
  * i18n: remove de_DE translation resources
  * fix: add reproducible build flags to CMake configuration

 -- wjyrich <wujiangyu@uniontech.com>  Wed, 26 Nov 2025 15:52:43 +0800

dde-tray-loader (2.0.16) unstable; urgency=medium

  * fix: render residue on openSUSE
  * fix: 任务栏支持插上电源未充电的显示

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Nov 2025 19:46:13 +0800

dde-tray-loader (2.0.15) unstable; urgency=medium

  * refactor: remove PowerManager dependency and use SessionManager

 -- Robertkill <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:07:06 +0800
