=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
+
+# reproducible编译参数
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_BUILD_RPATH=ON
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -18,4 +21,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDTL_VERSION=${PACK_VER}
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS) -DDTL_VERSION=${PACK_VER}
